echo
# Check kernel version and warn if the kernel version is not correct
if [ `/bin/uname -r` != "2.4.26" ]; then
	echo "WARNING: Incorrect kernel version! You need a 2.4.26 kernel."
fi

# Rebuild kernels modules list
echo "Rebuilding kernel's auto-loadable modules list..."
/sbin/depmod -aq

# ldconfig
echo "Running ldconfig ..."
/sbin/ldconfig
    
# Check if there is an active lufs kernel module
if [ `/sbin/lsmod | grep "^lufs" | wc -l` == 1 ]; then
	echo "WARNING: lufs kernel module already present."
	echo "You need to manually unmount all the LUFS filesystems and reload the new lufs kernel module."
else
	echo "Installing lufs kernel module ..."
	/sbin/modprobe lufs
fi
